Name: mirror
Version: 2.9
Release: ipl3mdk

Packager: Rider <rider@altlinux.ru>

Summary: A Perl program for mirroring FTP sites
License: distributable
Group: Networking/File transfer
Url: http://sunsite.doc.ic.ac.uk/packages/%name/

Source: %name.tar.bz2
Patch: %name-%version-ipl.patch

BuildArch: noarch

%description
Mirror uses the FTP protocol to duplicate a directory hierarchy
between its local host and a remote host.  Mirror avoids unnecessarily
copying files by comparing the file timestamps and sizes before
transfer.  Mirror is also optionally capable of compressing, gzipping
and splitting files.  Mirror was written for the use of archive
maintainers but can be used by anyone who needs to transfer a large
number of files via FTP.

%prep
%setup -q -c
%patch -p1

%install
mkdir -p $RPM_BUILD_ROOT{%_bindir,%_libdir/%name,%_sysconfdir,%_mandir/man1}
%make_install install \
	"PLDIR=$RPM_BUILD_ROOT%_libdir/%name" \
	"BINDIR=$RPM_BUILD_ROOT%_bindir" \
	"MANDIR=$RPM_BUILD_ROOT%_mandir/man1"

install -p -m644 %name.defaults $RPM_BUILD_ROOT%_sysconfdir

ln -sf %name.pl $RPM_BUILD_ROOT%_bindir/%name

%files
%config(noreplace) %_sysconfdir/%name.defaults
%_bindir/*
%_libdir/%name
%_mandir/man?/*
%doc README.txt *.html CHANGES*
%doc %name.nightly support/cyber-patches support/lstest.pl

%changelog
* Mon Nov 11 2002 Stanislav Ievlev <inger@altlinux.ru> 2.9-ipl3mdk
- rebuild

* Mon Apr 15 2002 Rider <rider@altlinux.ru> 2.9-ipl2mdk
- rebuild

* Mon Oct 23 2000 Dmitry V. Levin <ldv@fandra.org> 2.9-ipl1mdk
- RE adaptions.

* Thu Jun 8 2000 Tim Powers <timp@redhat.com>
- fixed man page location to be FHS compliant
- use predefined RPM macros wherever possible
- fixed so that regular users can build too

* Tue May 16 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0
- unified the patches

* Fri Feb 04 2000 Tim Powers <timp@redhat.com>
- fixed so that rpm gzips the man pages

* Mon Jan 10 2000 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Fri Nov  5 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix RFC compliance (thereby allowing to connect to wu-ftpd 2.6.0)

* Mon Jul 19 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Tue Oct 27 1998 Cristian Gafton <gafton@redhat.com>
- enhanced redhat patch

* Fri Oct 08 1998 Michael Maher <mike@redhat.com>
- updated package to 2.9
- fixed spec file

* Mon May 18 1998 Michael Maher <mike@redhat.com>
- updated rpm package and cleaned up SRPM.

* Fri Jan  9 1998 Otto Hammersmith <otto@redhat.com>
- grabbed contrib package for powertools.
